# Uses of Class
javajs.util.Matrix

Packages that use Matrix
Package
Description
javajs.util
org.jmol.adapter.readers.cif
org.jmol.adapter.smarter
org.jmol.api
org.jmol.symmetry
org.jmol.util

## Uses of Matrix in javajs.util

Methods in javajs.util that return Matrix
Modifier and Type
Method
Description
`Matrix`
Matrix.`add(Matrix b)`
add two matrices
`Matrix`
Matrix.`copy()`
Make a deep copy of a matrix
`Matrix`
Matrix.`getMatrixSelected(int[] r, int n)`
Get a submatrix for a give number of columns and selected row set.
`Matrix`
Matrix.`getRotation()`
similarly to M3/M4 standard rotation/translation matrix we set a rotationTranslation matrix to be: [ nxn rot nx1 trans 1xn 0 1x1 1 ]
`Matrix`
Matrix.`getSubmatrix(int i0, int j0, int nrows, int ncols)`
Get a submatrix.
`Matrix`
Matrix.`getTranslation()`
`static Matrix`
Matrix.`identity(int m, int n)`
Generate identity matrix
`Matrix`
Matrix.`inverse()`
Matrix inverse or pseudoinverse
`Matrix`
Matrix.`mul(Matrix b)`
Linear algebraic matrix multiplication, A * B
`static Matrix`
Matrix.`newT(T3 r, boolean asColumn)`
`Matrix`
Matrix.`scaleAdd(Matrix b, double scale)`
X = A + B*scale
`Matrix`
Matrix.`sub(Matrix b)`
subtract two matrices
`Matrix`
Matrix.`transpose()`
Matrix transpose.
Methods in javajs.util with parameters of type Matrix
Modifier and Type
Method
Description
`Matrix`
Matrix.`add(Matrix b)`
add two matrices
`Matrix`
Matrix.`mul(Matrix b)`
Linear algebraic matrix multiplication, A * B
`Matrix`
Matrix.`scaleAdd(Matrix b, double scale)`
X = A + B*scale
`Matrix`
Matrix.`sub(Matrix b)`
subtract two matrices

## Uses of Matrix in org.jmol.adapter.readers.cif

Methods in org.jmol.adapter.readers.cif with parameters of type Matrix
Modifier and Type
Method
Description
`void`
MSRdr.`addSubsystem(String code, Matrix w)`

## Uses of Matrix in org.jmol.adapter.smarter

Methods in org.jmol.adapter.smarter with parameters of type Matrix
Modifier and Type
Method
Description
`void`
MSInterface.`addSubsystem(String code, Matrix w)`

## Uses of Matrix in org.jmol.api

Methods in org.jmol.api that return Matrix
Modifier and Type
Method
Description
`Matrix`
SymmetryInterface.`getOperationRsVs(int op)`

## Uses of Matrix in org.jmol.symmetry

Methods in org.jmol.symmetry that return Matrix
Modifier and Type
Method
Description
`Matrix`
Symmetry.`getOperationRsVs(int iop)`
Methods in org.jmol.symmetry with parameters of type Matrix
Modifier and Type
Method
Description
`static String`
SymmetryOperation.`getXYZFromRsVs(Matrix rs, Matrix vs, boolean is12ths)`
`void`
SymmetryOperation.`setSigma(String subsystemCode, Matrix sigma)`
Sets sigma and the subsystem code for modulated CIF

## Uses of Matrix in org.jmol.util

Methods in org.jmol.util with parameters of type Matrix
Modifier and Type
Method
Description
`ModulationSet`
ModulationSet.`setMod(String id, P3 r00, P3 r0, int d, Lst<Modulation> mods, M3 gammaE, Matrix[] factors, SymmetryInterface symmetry, int nOps, int iop, Vibration v, boolean isCommensurate)`
A collection of modulations for a specific atom.